javax.resource.spi.work

## Class WorkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.work.WorkException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    WorkCompletedException, WorkRejectedException

      public class WorkException
      extends ResourceException

  A common base class for all `Work` processing related exceptions.
  Version:
    1.0
  Author:
    Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INTERNAL` Indicates an internal error condition.
    `static String` | `START_TIMED_OUT` Indicates start timeout expiration.
    `static String` | `TX_CONCURRENT_WORK_DISALLOWED` Indicates that concurrent work within a transaction is disallowed.
    `static String` | `TX_RECREATE_FAILED` Indicates a failure in recreating the specified transaction context.
    `static String` | `UNDEFINED` Undefined error code.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkException()` Constructs a new instance with null as its detail message.
    `WorkException(String message)` Constructs a new instance with the specified detail message.
    `WorkException(String message, String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `WorkException(String message, Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `WorkException(Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INTERNAL

          public static final String INTERNAL

      Indicates an internal error condition.
      See Also:
        Constant Field Values

    - #### UNDEFINED

          public static final String UNDEFINED

      Undefined error code.
      See Also:
        Constant Field Values

    - #### START_TIMED_OUT

          public static final String START_TIMED_OUT

      Indicates start timeout expiration.
      See Also:
        Constant Field Values

    - #### TX_CONCURRENT_WORK_DISALLOWED

          public static final String TX_CONCURRENT_WORK_DISALLOWED

      Indicates that concurrent work within a transaction is disallowed. That is, there is already another `Work` instance associated with the specified transaction context.
      See Also:
        Constant Field Values

    - #### TX_RECREATE_FAILED

          public static final String TX_RECREATE_FAILED

      Indicates a failure in recreating the specified transaction context.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkException

          public WorkException()

      Constructs a new instance with null as its detail message.

    - #### WorkException

          public WorkException(String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### WorkException

          public WorkException(Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### WorkException

          public WorkException(String message,
                       Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### WorkException

          public WorkException(String message,
                       String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.